/******************************************************************************
 libprozilla - a download accelerator library
 Copyright (C) 2001 Kalum Somaratna

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/


#ifndef FTPSEARCH_H
#define FTPSEARCH_H


typedef enum {
    RESPONSEOK = 1, NORESPONSE, ERROR
} ftp_mirror_stat_t;

typedef enum {
  LYCOS, FILESEARCH_RU
} ftpsearch_server_type_t;


typedef struct ftp_mirror {
    char *server_name;
    char *path;
    char *file_name;
    char *full_name;
    char *file_size;
    struct timeval tv;
    int milli_secs;
    ftp_mirror_stat_t status;
} ftp_mirror_t;

typedef struct
{
  long  file_size;
  connection_t * connection;
  ftpsearch_server_type_t server_type;
  ftp_mirror_t *mirrors;
  int num_mirrors;
  uerr_t err;
}ftps_request_t;


urlinfo *  proz_prepare_query_url(ftps_request_t *request, char * ftps_loc,int num_req_mirrors);

void proz_prepare_ftps_request(ftps_request_t *request, char * ftps_loc,int num_req_mirrors);

uerr_t proz_get_complete_mirror_list(ftps_request_t *request);

#endif
